Update one of the caller's workflows.
curl --request PATCH \
--url https://hiimpria.ai/api/user/agents/workflows/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"name": "<string>",
"presetKey": "<string>",
"instruction": "<string>",
"enabled": true
}
'import requests
url = "https://hiimpria.ai/api/user/agents/workflows/{id}"
payload = {
"name": "<string>",
"presetKey": "<string>",
"instruction": "<string>",
"enabled": True
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
presetKey: '<string>',
instruction: '<string>',
enabled: true
})
};
fetch('https://hiimpria.ai/api/user/agents/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"workflow": {
"_id": "<string>",
"name": "<string>",
"presetKey": "<string>",
"presetName": "<string>",
"instruction": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"lastRunOutcome": "<string>",
"lastSessionId": "<string>",
"available": true,
"missingCapabilities": [
"<string>"
],
"unavailableReason": "<string>",
"presetEnabled": true,
"presetExists": true
}
}{
"success": false,
"code": "INVALID_NAME",
"message": "<string>"
}{
"success": false,
"code": "INVALID_NAME",
"message": "<string>"
}{
"success": false,
"code": "INVALID_NAME",
"message": "<string>"
}User
Update one of the caller's workflows.
PATCH
/
api
/
user
/
agents
/
workflows
/
{id}
Update one of the caller's workflows.
Authorizations
JWT token passed in x-access-token header
Path Parameters
Body
application/json
Was this page helpful?